Skip to main content
PUT
/
integrations
/
{slug}
/
workspaces
Bulk update workspace access
curl --request PUT \
  --url https://api.portkey.ai/v1/integrations/{slug}/workspaces \
  --header 'Content-Type: application/json' \
  --header 'x-portkey-api-key: <api-key>' \
  --data '
{
  "workspaces": [
    {
      "id": "ws-my-team-1234",
      "enabled": true,
      "usage_limits": [
        {
          "credit_limit": 10,
          "periodic_reset": "monthly",
          "alert_threshold": 8
        }
      ],
      "rate_limits": [
        {
          "value": 123
        }
      ],
      "reset_usage": true,
      "create_default_provider": true,
      "default_provider_slug": "<string>"
    }
  ],
  "override_existing_workspace_access": true,
  "create_default_provider": true,
  "default_provider_slug": "<string>"
}
'
import requests

url = "https://api.portkey.ai/v1/integrations/{slug}/workspaces"

payload = {
"workspaces": [
{
"id": "ws-my-team-1234",
"enabled": True,
"usage_limits": [
{
"credit_limit": 10,
"periodic_reset": "monthly",
"alert_threshold": 8
}
],
"rate_limits": [{ "value": 123 }],
"reset_usage": True,
"create_default_provider": True,
"default_provider_slug": "<string>"
}
],
"override_existing_workspace_access": True,
"create_default_provider": True,
"default_provider_slug": "<string>"
}
headers = {
"x-portkey-api-key": "<api-key>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {'x-portkey-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
workspaces: [
{
id: 'ws-my-team-1234',
enabled: true,
usage_limits: [{credit_limit: 10, periodic_reset: 'monthly', alert_threshold: 8}],
rate_limits: [{value: 123}],
reset_usage: true,
create_default_provider: true,
default_provider_slug: '<string>'
}
],
override_existing_workspace_access: true,
create_default_provider: true,
default_provider_slug: '<string>'
})
};

fetch('https://api.portkey.ai/v1/integrations/{slug}/workspaces', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{}

Authorizations

x-portkey-api-key
string
header
required

Path Parameters

slug
string
required

Body

application/json
workspaces
object[]
global_workspace_access
object
override_existing_workspace_access
boolean

Whether to override existing workspace access settings

create_default_provider
boolean
default:true

Whether to automatically create a default provider when granting workspace access. Defaults to true. Can be overridden per workspace.

default_provider_slug
string

Custom slug for the auto-created default provider. Applies to all workspaces unless overridden per workspace. If the slug already exists, the request will fail with a validation error.

Response

200 - application/json

Workspace access updated successfully

The response is of type object.

Last modified on August 26, 2025